# $Revision: 1.28 $, $Date: 2004/10/20 09:31:13 $
Summary:	GNU Prolog - a free Prolog compiler with constraint solving over Finite Domains
Summary(es):	Prolog de GNU - un compilador libre de Prolog con resolucin de ligaduras sobre dominios finitos
Summary(pl):	GNU Prolog - darmowy kompilator jzyka Prolog
Summary(pt_BR):	O Prolog GNU
Name:		gprolog
Version:	1.2.16
Release:	5
License:	GPL
Group:		Development/Languages
Source0:	ftp://ftp.inria.fr/INRIA/Projects/contraintes/gnu-prolog/%{name}-%{version}.tar.gz
# Source0-md5:	d7fe87106cd3e7e770375f04dd0d14c2
Source1:	%{name}-pred.wam
URL:		http://gprolog.inria.fr/
BuildRequires:	autoconf
BuildRequires:	automake
ExclusiveArch:	%{ix86} alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Prolog is a native Prolog compiler with constraint solving over
finite domains (FD) developed by Daniel Diaz
(http://loco.inria.fr/~diaz/).

GNU Prolog is a very efficient native compiler producing (small)
stand-alone executables. GNU-Prolog also offers a classical
top-level+debugger.

GNU Prolog conforms to the ISO standard for Prolog but also includes a
lot of extensions (global variables, DCG, sockets, OS interface,...).

GNU Prolog also includes a powerful constraint solver over finite
domains with many predefined constraints+heuristics.

%description -l es
GNU Prolog es un compilador nativo de Prolog con resolucin de ligaduras
sobre dominios finitos (FD: Finite Domains), desarrollado por Daniel Diaz
(http://loco.inria.fr/~diaz/).

GNU Prolog es un compilador nativo muy eficiente que produce ejecutables
independientes (y pequeos). GNU Prolog tambin ofrece un clsico nivel alto
y un depurador.

GNU Prolog implementa el estndar ISO para Prolog, sin embargo incluye
un montn de extensiones (variables globales, DCG, sockets, inferfaz de SO,
...).

GNU Prolog tambin habilita resolver ligaduras sobre dominios finitos con
varias ligaduras predefinidas y unas heuristicas.

%description -l pl
GNU Prolog jest bezporednim kompilatorem Prologu z narzuconymi
ograniczeniami ponad "finite domains (FD)" tworzonym przez Daniela
Diaz (http://loco.inria.fr/~diaz/)

GNU Prolog jest bardzo efektywnym bezporednim kompilatorem tworzcym
mae samodzielne programy wykonywalne. GNU-Prolog oferuje te
klasyczny interfejs wysokiego poziomu oraz debugger.

GNU Prolog jest zgodny z standardem ISO jzyka Prolog oraz oferuje
dodatkowo kilka rozszerze (zmienne globalne, DCG, gniazdka, interfejs
do systemu operacyjnego, ...).

GNU Prolog zawiera te porczny solver finite domains z wieloma
predefiniowanymi ograniczaczami i heurystykami.

%description -l pt_BR
O GNU Prolog  um compilador nativo Prolog.

%prep
%setup -q

%build
cd src
cp %{SOURCE1} BipsPl/pred.wam
%{__aclocal}
install /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--with-install-dir=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version} \
	--with-c-flags="%{rpmcflags}" \
	--without-links-dir \
	--without-examples-dir \
	--without-doc-dir \
	--without-html-dir
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
cd src
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

(
install -d $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin
for i in *; do
	ln -s ../lib/%{name}-%{version}/bin/$i $RPM_BUILD_ROOT%{_bindir}/$i
done
)

cd ..

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -ar Examples* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README doc/manual.ps
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/bin
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/*
%{_libdir}/%{name}-%{version}/include
%{_libdir}/%{name}-%{version}/lib
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gprolog.spec,v $
Revision 1.28  2004/10/20 09:31:13  undefine
- fix dirs, release 5

Revision 1.27  2004/08/09 22:49:48  havner
- rel 4

Revision 1.26  2004/07/29 20:22:28  havner
- rel 3 for rebuild

Revision 1.25  2004/01/24 23:12:02  undefine
- release 2 for AC

Revision 1.24  2003/12/11 22:39:01  saq
- a _real_ es translation

Revision 1.23  2003/11/17 00:35:49  undefine
- gprolog only support ix86/alpha/ppc on linux.

Revision 1.22  2003/08/20 15:11:51  qboosh
- no // in paths, other cosmetics

Revision 1.21  2003/06/16 18:05:18  blues
- cosmetics by kloczek

Revision 1.20  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:48:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/10/08 21:37:17  misiek
- fixed athlon build

Revision 1.17  2002/10/07 18:28:58  djrzulf
- updated to 1.2.16, STBR

Revision 1.16  2002/10/07 12:35:53  qboosh
- BR: autoconf,automake

Revision 1.15  2002/09/17 07:24:44  marcus
- rel.2.
- removed ExclusiveArch ix86, it builds on for example ppc too

Revision 1.14  2002/09/16 22:08:45  kloczek
- use new %doc and remove doc subpackages.

Revision 1.13  2002/09/05 23:31:52  undefine
- pt/es translation
- updated to 1.2.13

Revision 1.12  2002/05/21 23:13:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:29:10  arturs
fixed a small typo

Revision 1.10  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/18 19:28:54  gotar
- %desc

Revision 1.8  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/07 16:38:10  kloczek
- spec adapterized.

Revision 1.6  2001/11/07 15:47:43  ankry
- updated path in source URL

Revision 1.5  2001/11/04 22:04:18  filon
- updated to 1.2.8
- added packages doc-{html,pdf,ps}
- added using auto{conf,make}
- added examples
- cosmetics

Revision 1.4  2001/06/25 08:14:15  kloczek
- cosmetics.

Revision 1.3  2001/06/24 11:15:01  undefine
- polish description
- cleanup
- STB?

Revision 1.2  2001/06/23 12:03:41  undefine
- rpmoptflags

* Tue Jul 25 2000 Daniel Diaz <Daniel.Diaz@inria.fr>
- initial specfile
